CEXPRL(3)

SYNOPSIS
COMPLEX FUNCTION CEXPRL (Z)

NAME
cexprl - Calculate the relative error exponential (EXP(X)-1)/X.

LIBRARY
SLATEC (FNLIB)

CATEGORY
C4B

TYPE
COMPLEX (EXPREL-S, DEXPRL-D, CEXPRL-C)

KEYWORDS
ELEMENTARY FUNCTIONS, EXPONENTIAL, FIRST ORDER, FNLIB

AUTHOR
Fullerton, W., (LANL)

DESCRIPTION
Evaluate (EXP(Z)-1)/Z . For small ABS(Z), we use the Taylor series. We could instead use the expression CEXPRL(Z) = (EXP(X)*EXP(I*Y)-1)/Z = (X*EXPREL(X) * (1 - 2*SIN(Y/2)**2) - 2*SIN(Y/2)**2 + I*SIN(Y)*(1+X*EXPREL(X))) / Z

REFERENCES
(NONE)

ROUTINES CALLED
R1MACH

REVISION HISTORY (YYMMDD)
770801 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890531 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)